[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TWinControlEnumerator.Current

Contains the TControl instance which is the current value in the enumerator.

## Declaration

Source position: controls.pp line 2074

`public property TWinControlEnumerator.Current : TControl read GetCurrent;`

## Description

Current is a read-only TControl property with the current value in the enumerator. It represents one of the child controls in the TWinControl instance passed as an argument to the Create constructor.

Use MoveNext to move the enumerator to the next control in the order used for the enumerator.

## See also

TWinControlEnumerator.GetCurrent |  | Gets the current enumerator value.
TWinControlEnumerator.MoveNext |  | Moves to the next value using the ordering in effect for the enumerator.
TWinControlEnumerator.Create |  | Constructor for the class instance.